import request from '@/utils/request'

// 广告公司添加
export function companyAdd(data) {
  return request({
    url: '/market/advertisingCompany/add',
    method: 'post',
    data
  })
}
// 删除广告公司
export function companyDelete(data) {
  return request({
    url: '/market/advertisingCompany/delete',
    method: 'post',
    data
  })
}
// 广告公司列表查询
export function companyList(data) {
  return request({
    url: '/market/advertisingCompany/list',
    method: 'post',
    data
  })
}

//广告公司修改
export function companyUpdate(data) {
  return request({
    url: '/market/advertisingCompany/update',
    method: 'post',
    data
  })
}
//添加广告
export function marketAdd(data) {
  return request({
    url: '/market/advertisingLibrary/add',
    method: 'post',
    data
  })
}
//广告公司修改
export function marketDelete(data) {
  return request({
    url: '/market/advertisingLibrary/delete',
    method: 'post',
    data
  })
}
//广告公司修改
export function marketUpdate(data) {
  return request({
    url: '/market/advertisingLibrary/update',
    method: 'post',
    data
  })
}
//广告公司修改
export function marketList(data) {
  return request({
    url: '/market/advertisingLibrary/list',
    method: 'post',
    data
  })
}
//广告配置修改
export function marketConfigUpdate(data) {
  return request({
    url: '/market/advertisingConfig/update',
    method: 'post',
    data
  })
}
//广告配置查询
export function marketConfigList(data) {
  return request({
    url: '/market/advertisingConfig/list',
    method: 'post',
    data
  })
}
//广告奖品列表
export function marketAwardList(data) {
  return request({
    url: '/market/award/getAwardList',
    method: 'post',
    data
  })
}
export default {
  companyAdd,
  companyDelete,
  companyList,
  companyUpdate,
  marketAdd,
  marketDelete,
  marketList,
  marketUpdate,
  marketConfigUpdate,
  marketConfigList,
  marketAwardList,
}

